| Flutter iOS Embedder |

Classes | Namespaces | Typedefs | Functions | Variables
FlutterViewController_Internal.h File Reference
`#include "flutter/fml/memory/weak_ptr.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Headers/FlutterViewController.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterKeySecondaryResponder.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterKeyboardManager.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterRestorationPlugin.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterUIPressProxy.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterViewResponder.h"`

Go to the source code of this file.

## Namespaces
| flutter

## Typedefs
typedef void(^ | FlutterKeyboardAnimationCallback) (fml::TimePoint)

## Functions
typedef | NS_ENUM (NSInteger, FlutterKeyboardMode)

## Variables
FLUTTER_DARWIN_EXPORT const NSNotificationName | FlutterViewControllerWillDealloc
FLUTTER_DARWIN_EXPORT const NSNotificationName | FlutterViewControllerHideHomeIndicator
FLUTTER_DARWIN_EXPORT const NSNotificationName | FlutterViewControllerShowHomeIndicator

## Typedef Documentation

## ◆ FlutterKeyboardAnimationCallback

typedef void(^ FlutterKeyboardAnimationCallback) (fml::TimePoint)

Definition at line 36 of file FlutterViewController_Internal.h.

## Function Documentation

## ◆ NS_ENUM()

typedef NS_ENUM | ( | NSInteger | ,
|  | FlutterKeyboardMode |
| ) |  |

Definition at line 30 of file FlutterViewController_Internal.h.

30 {
31 FlutterKeyboardModeHidden = 0,
32 FlutterKeyboardModeDocked = 1,
33 FlutterKeyboardModeFloating = 2,
34 };

## Variable Documentation

## ◆ FlutterViewControllerHideHomeIndicator

FLUTTER_DARWIN_EXPORT const NSNotificationName FlutterViewControllerHideHomeIndicator

Definition at line 43 of file FlutterViewController.mm.

## ◆ FlutterViewControllerShowHomeIndicator

FLUTTER_DARWIN_EXPORT const NSNotificationName FlutterViewControllerShowHomeIndicator

Definition at line 45 of file FlutterViewController.mm.

## ◆ FlutterViewControllerWillDealloc

FLUTTER_DARWIN_EXPORT const NSNotificationName FlutterViewControllerWillDealloc

Definition at line 42 of file FlutterViewController.mm.